0

This question already has an answer here:

that's pretty much it. Opening software center works with the 'all' tab loading fine, but when I try to search anything or access any other tabs it has an eternal loading screen. I am running a recently updated ubuntu 16.04 on a 64 bit computer if that helps.

I tried the solution of similar problems in older versions of Ubuntu but they don't have any effect.

when I run software center from the terminal I get this:

zephyzu@zephyzu:~$ software-center
/usr/bin/software-center:25: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, GObject
/usr/share/software-center/softwarecenter/ui/gtk3/views/purchaseview.py:29: PyGIWarning: WebKit2 was imported without specifying a version first. Use gi.require_version('WebKit2', '4.0') before import to ensure that the right version gets loaded.
  from gi.repository import WebKit2 as webkit
/usr/share/software-center/softwarecenter/ui/gtk3/widgets/symbolic_icons.py:23: PyGIWarning: PangoCairo was imported without specifying a version first. Use gi.require_version('PangoCairo', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, Gdk, GLib, PangoCairo
2016-05-28 14:21:23,340 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2016-05-28 14:21:24,079 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2016-05-28 14:21:24,082 - softwarecenter.plugin - INFO - activating plugin '<module 'webapps_activation' from '/usr/share/software-center/softwarecenter/plugins/webapps_activation.pyc'>'
2016-05-28 14:21:24,119 - softwarecenter.db.pkginfo_impl.aptcache - INFO - aptcache.open()
2016-05-28 14:21:24,905 - softwarecenter.db.update - WARNING - failed to load file /var/lib/apt-xapian-index/cataloged_times.p: unsupported pickle protocol: 3
/usr/share/software-center/softwarecenter/ui/gtk3/widgets/videoplayer.py:29: PyGIWarning: Gst was imported without specifying a version first. Use gi.require_version('Gst', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gst
/usr/bin/software-center:184: Warning: Source ID 70 was not found when attempting to remove it
  Gtk.main()
/usr/bin/software-center:184: Warning: Source ID 142 was not found when attempting to remove it
  Gtk.main()
2016-05-28 14:21:27,507 - softwarecenter.db.update - WARNING - failed to load file /var/lib/apt-xapian-index/cataloged_times.p: unsupported pickle protocol: 3
2016-05-28 14:21:28,779 - softwarecenter.db.utils - INFO - software-center-agent finished with status 0

marked as duplicate by Andrea Lazzarotto, Eric Carvalho, Anwar, AzkerM, Kevin Bowen Aug 31 '16 at 4:45

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • tried the solution on that page and it still doesn't work – Zephyzu May 28 '16 at 18:55
  • This question appears to be abandoned and unanswered. If you solved it, please post an answer explaining how it was solved (answering your own questions is not merely permitted, but encouraged when there is no other answer that does the job). If the question no longer applies you may voluntarily delete/close it. – Andrea Lazzarotto Aug 12 '16 at 21:21
1

You can install the classic "Software Center", which "always" works OK :

$ sudo apt-get update && sudo apt-get install synaptic


  • it works but it keeps freezing and progress is extremely slow – Zephyzu May 28 '16 at 20:28
  • This does not explain how to fix the Software Center. – Andrea Lazzarotto May 29 '16 at 12:53
0

There is something wrong with your APT Xapian index file:

2016-05-28 14:21:27,507 - softwarecenter.db.update - WARNING - failed to load file /var/lib/apt-xapian-index/cataloged_times.p: unsupported pickle protocol: 3

Move it to a different file:

sudo mv /var/lib/apt-xapian-index/cataloged_times.p /var/lib/apt-xapian-index/cataloged_times.p.backup

Force a rebuild:

sudo update-apt-xapian-index -f
  • mv: cannot stat '/var/lib/apt-xapian-index/cataloged_times.p': No such file or directory – Zephyzu Jun 2 '16 at 3:13
  • So you don't even have a Xapian index. :D No problem, go on with the rebuild. – Andrea Lazzarotto Jun 2 '16 at 8:49
  • alrighty, done =) but the software center is still broken – Zephyzu Jun 2 '16 at 16:18
  • @Zephyzu Does it give different errors now? – Andrea Lazzarotto Jun 2 '16 at 16:40

Not the answer you're looking for? Browse other questions tagged or ask your own question.